1. Blocks
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
      • Create a new Lnk
      • Delete an existing Lnk
      • Edit an existing Lnk
      • Bulk reorder Lnks
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
      • Set profile colors
      • Set profile fonts
      • Set profile wallpapers
      • Apply a free theme
      • Reset theme to defaults
      • List available fonts
      • List available free themes
    • Pages
      • List all pages
      • Create a new page
      • Edit an existing page
      • Reorder pages
    • Blocks
      • Icons
        • Add an icon to a BLOCK_ICONS block
        • Edit an icon in a BLOCK_ICONS block
        • Search available icons
        • Delete an icon from a BLOCK_ICONS block
        • Sort icons within a BLOCK_ICONS block
      • Forms
        • List available forms
      • List blocks in a page
        GET
      • List supported block types
        GET
      • Add a block to a page
        POST
      • Delete a block from a page
        POST
      • Reorder blocks in a page
        POST
  • Schemas
    • Lnk
    • SuccessResponse
    • PageSummary
    • StyleData
    • BlockSummary
    • Font
    • FormSummary
    • ThemeSummary
    • BlockType
    • IconSummary
  1. Blocks

Delete a block from a page

POST
https://lnk.bio/oauth/v1/page/block/delete
Delete a block from a page. The block and its data are permanently removed. To replace a block, delete it and re-add with /page/block/add using the 'after' parameter to control position.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or
Body Params application/x-www-form-urlencodedRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://lnk.bio/oauth/v1/page/block/delete' \
--data-urlencode 'page_id=PAGE_ABOUT_6612a3b4c5d6e' \
--data-urlencode 'block_id=6612a3b4c5d6e7.12345678'

Responses

🟢200
application/json
Block deleted successfully
Body

Example
{
    "status": true,
    "data": {
        "block_id": "6612a3b4c5d6e7.12345678",
        "type": "BLOCK_TITLE"
    }
}
🟠400BadRequest
🟠401Unauthorized
Modified at 2026-04-11 06:25:08
Previous
Add a block to a page
Next
Reorder blocks in a page
Built with